#!/usr/bin/perl

use strict;
use Test::More tests => 6;

BEGIN { use_ok('MN::CGI'); }
BEGIN { use_ok('MN::Engine'); }

$ENV{DEBUG} = 1;
$ENV{QUERY_STRING} = "simple=value&multiple=value1&multiple=value2&escape=%3F+%21+%24+%26+%40";
$ENV{HTTP_ACCEPT_LANGUAGE} = "en";

my $cgi = new MN::CGI();

ok($cgi->{simple} eq "value", "Simple value");

my ($value1, $value2) = split(/\0/, $cgi->{multiple});
ok($value1 eq "value1", "Multiple value 1");
ok($value2 eq "value2", "Multiple value 2");

ok($cgi->{escape} eq '? ! $ & @', "Escape value");
